﻿@model MvcWebsiteOcc.Areas.administrators.Models.EventsGirl

@{
    ViewBag.Title = "Thêm thí sinh";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.EventsGirlStatus> status = ViewBag.Status;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    @Html.HiddenFor(p => p.EGirlID)
    <input type="hidden" id="editID" name="editID" value="@Model.EGirlID" />
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/events_manager/eventsgirl_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a>

                                    </li>
                                    @*<li class=""><a data-toggle="tab" href="#seo" aria-expanded="false">
                                        SEO</a>
                                    </li>*@
                                </ul>
                                <div class="tab-content  tabs-flat">
                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Cơ bản
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Name)</label>
                                                        @Html.TextBoxFor(p => p.Name, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Name)</span>
                                                    </div>
                                                          <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Birtday)</label>
                                                        @Html.TextBox("ebirthDay", Model.Birtday.ToString("dd/MM/yyyy"), new { @class = "form-control date-picker", data_date_format = "dd/mm/yyyy", data_mask = "99/99/9999", placeholder = "Ngày sinh" })
                                                 
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.AddressBorn)</label>
                                                        @Html.TextBoxFor(p => p.AddressBorn, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.AddressBorn)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.AddressNow)</label>
                                                        @Html.TextBoxFor(p => p.AddressNow, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.AddressNow)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Mobile)</label>
                                                        @Html.TextBoxFor(p => p.Mobile, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Mobile)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Email)</label>
                                                        @Html.TextBoxFor(p => p.Email, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Email)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Facebook)</label>
                                                        @Html.TextBoxFor(p => p.Facebook, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Facebook)</span>
                                                    </div>


                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Love)</label>
                                                        @Html.TextAreaFor(p => p.Love, new { @class = "form-control summernote textAuto" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Love)</span>
                                                    </div>
                                                     <div class="form-title">
                                                        Trạng thái
                                                    </div>
                                                    <div class="row">
                                                         <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block warning"></span>
                                                        </div>
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div id="dvCategoryResults2">
                                                                <select class="select" name="EStatusID" style="width: 100%">
                                                                    <option value="">Chọn trạng thái</option>
                                                                    @{if (status != null)
                                                                      {
                                                                          foreach (var sta in status)
                                                                          {
                                                                              bool ok = false;
                                                                              if (Model.EStatusID == null && sta.SortOrder == 1)
                                                                              {
                                                                                  ok = true;
                                                                              }
                                                                              
                                                                              if (sta.EStatusID == Model.EStatusID || ok == true)
                                                                              {
                                                                        <option value="@sta.EStatusID" selected="selected">@sta.EStatusName</option> 
                                                                              }
                                                                              else
                                                                              {
                                                                        <option value="@sta.EStatusID" >@sta.EStatusName</option>
                                                                              }
                                                                          }
                                                                      }}
                                                                </select>
                                                            </div>
                                                            <span class="help-block warning"></span>
                                                        </div>
                                                    </div>

                                                    <div class="form-title">
                                                        Thông số
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Code)</label>
                                                        @Html.TextBoxFor(p => p.Code, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Code)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.SMS)</label>
                                                        @Html.TextBoxFor(p => p.SMS, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.SMS)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Web)</label>
                                                        @Html.TextBoxFor(p => p.Web, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Web)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Rank)</label>
                                                        @Html.TextBoxFor(p => p.Rank, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Rank)</span>
                                                    </div>

                                                </div>
                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                    <div class="form-title">
                                                        Sự kiện
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block warning">@ViewBag.CateError</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div id="dvCategoryResults">

                                                                @{Html.RenderAction("_events_girl_edit", "events_manager", new { newCateID = Model.EventID});}

                                                            </div>
                                                            <span class="help-block warning">@Html.ValidationMessageFor(p => p.EventID)</span>
                                                        </div>

                                                    </div>

                                                    <div class="form-title">
                                                        Ảnh
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label>Ảnh đại diện</label>
                                                                @{if (Model.Image != null)
                                                                  {
                                                                    @(Html.Kendo().Upload()
                                                                    .Name("file_image")
                                                                    .TemplateId("fileTemplate")
                                                                    .Events(events => events.Select("onSelect"))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Multiple(false)
                                                                    .Async(ass => ass
                                                                    .Save("updateGirlImage", "events_manager", new { id = Model.EGirlID })
                                                                    .AutoUpload(true))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Messages(m => m.UploadSelectedFiles("Upload"))
                                                                    .Files(
                                                                    files =>
                                                                    {
                                                                        files.Add().Name(Model.Image);
                                                                    })
                                                                     .HtmlAttributes(new { accept = "image/*" })
                                                                   )
                                                                    <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                            <span class='k-progress'></span>
                                                                            <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/sukien/thi-sinh-du-thi/#=name#'/> <!-- here im trying to bind the image -->
                                                                            <span class='k-filename'>#=name#</span>
                                                                            <strong class="k-upload-status">
                                                                                <button type="button" class="k-button k-button-bare k-upload-action">
                                                    
                                                                                </button>
                                                                            </strong>

                                                                    </script>
                                                                  }
                                                                  else
                                                                  {
                                                                    @(Html.Kendo().Upload()
                                                                        .Name("file_image")
                                                                        .TemplateId("fileTemplate")
                                                                        .Events(events => events.Select("onSelect"))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Multiple(false)
                                                                         .HtmlAttributes(new { accept = "image/*" })
                                                                       )
                                                                    <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                        <span class='k-progress'></span>
                                                                        <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                        <span class='k-filename'>#=name#</span>
                                                                        <strong class="k-upload-status">
                                                                            <button type="button" class="k-button k-button-bare k-upload-action">
                                                  
                                                                            </button>
                                                                        </strong>

                                                                    </script>
                                                                  }}
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label>Ảnh trong Album</label>
                                                                @{var albumImages = Model.EventsGirlImages.ToList();
                                                                  if (albumImages.Count() > 0)
                                                                  {
                                                                    @(Html.Kendo().Upload()
                                                                        .Name("file_images")
                                                                        .TemplateId("filesTemplate")
                                                                        .Events(events => events.Select("onSelect"))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Multiple(true)
                                                                        .HtmlAttributes(new { accept = "image/*" })
                                                                        .Async(ass => ass
                                                                        .Save("updateImageInAlbum", "events_manager", new { id = Model.EGirlID })
                                                                        .Remove("deleteImageInAlbum", "events_manager", new { id = Model.EGirlID })
                                                                        .AutoUpload(true))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Messages(m => m.UploadSelectedFiles("Upload"))
                                                                        .Files(
                                                                        files =>
                                                                        {
                                                                            foreach (var img in albumImages)
                                                                            {
                                                                                files.Add().Name(img.EImgFolder + "/" + img.EImgName);
                                                                            }

                                                                        })
                                                                       )
                                                                    <script id="filesTemplate" type="text/x-kendo-template">
    
                                                                        <span class='k-progress'></span>
                                                                         <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/sukien/thi-sinh-du-thi/#=name#'/> <!-- here im trying to bind the image -->
                                                                        <span class='k-filename'>#=name#</span>
                                                                        <strong class="k-upload-status">
                                                                            <button type="button" class="k-button k-button-bare k-upload-action">
                                                                                <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                            </button>
                                                                        </strong>

                                                                    </script>
                                                                  }
                                                                  else
                                                                  {
                                                                    @(Html.Kendo().Upload()
                                                                    .Name("file_images")
                                                                    .TemplateId("filesTemplate")
                                                                    .Events(events => events.Select("onSelect"))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Multiple(true)
                                                                    .HtmlAttributes(new { accept = "image/*" })
                                                                   )
                                                                    <script id="filesTemplate" type="text/x-kendo-template">
    
                                                                        <span class='k-progress'></span>
                                                                        <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                        <span class='k-filename'>#=name#</span>
                                                                        <strong class="k-upload-status">
                                                                            <button type="button" class="k-button k-button-bare k-upload-action">
                                                                                <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                            </button>
                                                                        </strong>

                                                                    </script>
                                                                  }}



                                                            </div>
                                                        </div>

                                                    </div>
                                                    <div class="form-title">
                                                        Thông tin
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.School)</label>
                                                                @Html.TextBoxFor(p => p.School, new { @class = "form-control" })
                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.School)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.EClass)</label>
                                                                @Html.TextBoxFor(p => p.EClass, new { @class = "form-control" })
                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.EClass)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.Grade)</label>
                                                                @Html.TextBoxFor(p => p.Grade, new { @class = "form-control" })
                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.Grade)</span>
                                                            </div>

                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.Height)</label>
                                                                @Html.TextBoxFor(p => p.Height, new { @class = "form-control" })
                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.Height)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.Weight)</label>
                                                                @Html.TextBoxFor(p => p.Weight, new { @class = "form-control" })
                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.Weight)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.ThreeRing)</label>
                                                                @Html.TextBoxFor(p => p.ThreeRing, new { @class = "form-control" })
                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.ThreeRing)</span>
                                                            </div>

                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="widget-header header-large" style="display: block;">
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/events_manager/eventsgirl_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>
    function onSelectFile(e) {
        var files = e.files;
        $.each(files, function () {
            if (this.extension.toLowerCase() != ".xml") {
                $('#modal-warning-xml').modal('show')
                e.preventDefault();
            }
        });
    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
                return false;
            }
            return true;
        });
        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>
<div class="modal fade modal-message modal-warning" id="modal-warning-xml" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .xml !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .gif, .jpeg, .jpg, .png !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>
@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <!--Bootstrap Date Range Picker-->
    <script src="/Static/admin//assets/js/datetime/moment.js"></script>
    <script src="/Static/admin//assets/js/datetime/daterangepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script>

        //--Bootstrap Date Range Picker--
        $('.date-range').daterangepicker();

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {
            $("#events").addClass("active open");
            $("#girls").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/events_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });
    </script>

}